Retrieve a single table

Retrieve a single table#

Description#

Returns a table with the provided ID, or a 404 if no such table is found.

GET /api/v1/table/{tableId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

tableId

path

string

true

The unique identifier of the table

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains a TableDto object for the requested table.

Example Responses#

{
  "body": {
    "created": "string",
    "databaseId": "string",
    "datasetUpdated": "string",
    "deleted": "boolean",
    "description": "string",
    "hierarchyMetadata": {
      "childColumnId": "string",
      "parentColumnId": "string"
    },
    "id": "string",
    "isShared": "boolean",
    "lastUploaded": "string",
    "name": "string",
    "parentId": "string",
    "readOnly": "boolean",
    "tableSchema": {
      "columns": [
        {
          "alias": "string",
          "description": "string",
          "metadata": {},
          "mode": "string",
          "name": "string",
          "type": "string"
        }
      ]
    },
    "type": "string",
    "uniqueTableConstraints": [
      {
        "description": "string",
        "id": "string",
        "name": "string",
        "tableId": "string",
        "values": [
          "string"
        ]
      }
    ],
    "updated": "string",
    "userId": "string",
    "version": "integer"
  },
  "code": "integer"
}